v.build(1)

NAME
v.build - Creates topology for GRASS vector data.

SYNOPSIS
v.build
v.build help
v.build map=string [error=string] [option=string[,string,...]]

  Parameters:

map=string
    Name of input vector

error=string
    Name of vector map where erroneous vectors are written to

option=string[,string,...]
    Build topology or dump topology or spatial index to stdout
        build - build topology    dump  - write topology to stdout    sdump - write spatial index to stdout    cdump - write category index to stdout
    Options: build,dump,sdump,cdump Default: build

DESCRIPTION
v.build builds GRASS support files for (binary) GRASS vector data files. These support files supply topology and category information that are needed by other GRASS programs.
GRASS is generating these support files automatically, only in rare cases the user has to (re)build them.

NOTES
v.build creates support files only for binary vector files located in the user's current mapset. If binary file is located in another mapset, you need to specify this:

v.build map=geology@PERMANENT

In case of errors, the user can optionally generate an error vector map containing the erroneous vectors for later inspection.

SEE ALSO
v.build.polylines

AUTHORS
Dave Gerdes, U.S.Army Construction Engineering Research Laboratory
Michael Higgins, U.S.Army Construction Engineering Research Laboratory

Last changed: $Date: 2005/08/11 11:10:17 $

Help Index